Core - Bug # 59831

Status: Resolved Priority: Must have
Author: Markus Klein Category: Package Manager
Created: 2014-06-24 Assigned To: Markus Klein
Updated: 2014-07-24 Due date:

TYPO3 Version: 6.2

PHP Version:

Complexity: medium

Is Regression: Yes

Sprint Focus:

Subject: Package loading order is currupted by faulty patch #59147

Description

The path saved to packagePathStack contains the package name, but is compared to the storage folder only.

Moreover the EM fails upon removing extensions, as we do not persist the packagePathStack information, we would need for that
case. -(

Related issues:
follows Core - Bug # 59147: Wrong extension precedence in TYPO3 6.2 Resolved 2014-05-27

Associated revisions

Revision 143¢2744 - 2014-06-24 03:15 - Markus Klein

Revert "[BUGFIX] Fix loading order for extensions"

This reverts commit 49b53d491e43f3ad7a4c30dc23e208eb8db04199

The patch has two flaws: * Easy: packagePathStack also includes package folder which
is incompatible to the excludedPaths search * Nightmare: Upon uninstalling extensions the PackageManager
fails due to missing packagePathStack information

Change-Id: 1e026a90bd18ab86c355¢c17ae387df9249bc6b1c0
Resolves: #59831

Reverts: #59147

Releases: 6.3, 6.2

Reviewed-on: https:/review.typo3.org/31097

Reviewed-by: Markus Klein

Tested-by: Markus Klein

Revision f1¢270a7 - 2014-06-24 03:15 - Markus Klein

Revert "[BUGFIX] Fix loading order for extensions"

This reverts commit c0779513b431b19413873893bf630aa3de6fcfc

The patch has two flaws: * Easy: packagePathStack also includes package folder which

is incompatible to the excludedPaths search * Nightmare: Upon uninstalling extensions the PackageManager
fails due to missing packagePathStack information

2015-08-04 1/3



https://review.typo3.org/31097

Change-Id: 127642b3dea7541cb5f7363172edff147d34999d1
Resolves: #59831

Reverts: #59147

Releases: 6.3, 6.2

Reviewed-on: https://review.typo3.0rg/31098

Reviewed-by: Markus Klein
Tested-by: Markus Klein

History

#1 - 2014-06-24 03:11 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/31097

#2 - 2014-06-24 03:12 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/31098

#3 - 2014-06-24 03:14 - Markus Klein
- Status changed from Under Review to Accepted

#4 - 2014-06-24 03:14 - Markus Klein
- Status changed from Accepted to Under Review

#5 - 2014-06-24 03:30 - Markus Klein

- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:f1¢c270a7a0ac3653d9e823d63d466d60f43d0bd4.

#6 - 2014-07-24 08:50 - Kasper Ligaard

Is there a fair chance this will be solved within the coming weeks? | can live fine without the package-stuff (and | think most TYPO3 users would t00),

as long as it is made to work with TYPO3 extensions.

As it is right now, it is a nightmare to reliably use the Extension Manager - and it has been like that ever since October 2013, when the package-stuff

was merged in to core :-(

PS: Is there an issue about printing the loading order within the Extension Manager (like there was in previous Extension Managers)?

#7 - 2014-07-24 17:15 - Markus Klein
- Status changed from Resolved to Accepted
@Kasper, are you talking about #591477?
Please read my comments there.

Please do not post to this issue here, it is just here to document the revert of the original patch.

#8 - 2014-07-24 17:15 - Markus Klein

- Status changed from Accepted to Resolved
